/**
 * NewGuideGraphCanvas.java
 *
 *
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvasInRes extends GraphCanvasB{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvasInRes(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	
	setYRangeMax(state.RinVMax);
	setYRangeMin(0.0);
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Input Resistance","","Dipole Length","");
	setRefPoint(state.a);
	plot(state.leng,state.RinVector,state.RVector, state.IsDirectivity);
   }
   
}